{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Push Quiz Marks
{% endblock %}


{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Push Quiz Marks to Internal Marks
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for course in courseList %}
                        <li {% if staffCourseInstance.pk == course.staffCourseInstance.pk %}class="active" {% else %}
                            class="" {% endif %}>
                            <a aria-expanded="true"
                               id={{ course.staffCourseInstance.pk }}
                                       data-toggle="tab" name="courseTab"
                               onmouseover="$(this).css('cursor', 'pointer')">
                                {{ course.displayText }}

                            </a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
        </div>

        <form method="POST">{% csrf_token %}

            <input type="hidden" name="hiddenStaffCoursePk" value="{{ staffCourseInstance.pk }}">

            <div class="col-md-12 col-sm-12 col-xs-12">
                <br><br>
                <div class="form-horizontal form-label-left">
                    <div class="form-group">
                        <label class="control-label col-md-5">
                            Push <strong>Quiz I</strong> Marks to Unit Test I
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <button type="button" class="btn1 btn1-default" data-toggle="modal"
                                    data-target="#pushQuiz1Modal">
                                Push Quiz I Marks
                            </button>
                        </div>
                    </div>
                </div>
                <br><br>
            </div>

            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="form-horizontal form-label-left">
                    <div class="form-group">
                        <label class="control-label col-md-5">
                            Push <strong>Quiz II</strong> Marks to Unit Test II
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <button type="button" class="btn1 btn1-default" data-toggle="modal"
                                    data-target="#pushQuiz2Modal">
                                Push Quiz II Marks
                            </button>
                        </div>
                    </div>
                </div>
                <br><br>
            </div>

            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="form-horizontal form-label-left">
                    <div class="form-group">
                        <label class="control-label col-md-5">
                            Push <strong>Quiz III</strong> Marks to Unit Test III
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <button type="button" class="btn1 btn1-default" data-toggle="modal"
                                    data-target="#pushQuiz3Modal">
                                Push Quiz III Marks
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal" id="pushQuiz1Modal" tabindex="-1" role="dialog"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Confirmation</h3>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <h4 align="center">Are sure to Push <strong>Quiz I</strong> Marks to Internals (Unit Test 1)
                            </h4>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn1-secondary" data-dismiss="modal">Close</button>
                            <button type="submit" name="pushQuiz1" class="btn btn-dark-green">Push</button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal" id="pushQuiz2Modal" tabindex="-1" role="dialog"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Confirmation</h3>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <h4 align="center">Are sure to Push <strong>Quiz II</strong> Marks to Internals (Unit Test
                                2)</h4>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn1-secondary" data-dismiss="modal">Close</button>
                            <button type="submit" name="pushQuiz2" class="btn btn-dark-green">Push</button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal" id="pushQuiz3Modal" tabindex="-1" role="dialog"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Confirmation</h3>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <h4 align="center">Are sure to Push <strong>Quiz III</strong> Marks to Internals (Unit Test
                                3)</h4>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn1-secondary" data-dismiss="modal">Close</button>
                            <button type="submit" name="pushQuiz3" class="btn btn-dark-green">Push</button>
                        </div>
                    </div>
                </div>
            </div>

        </form>
    </div>

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="courseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

    </script>

    <script>
        {% if donePush %}
            $(function () {
                new PNotify({
                    title: false,
                    text: 'Added Quiz marks to Internals',
                    type: 'success',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true},

                });
            });
        {% endif %}
        {% if errorInPush %}
            $(function () {
                new PNotify({
                    title: 'Oh No!',
                    text: 'Error in Push',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true},

                });
            });
        {% endif %}
        {% if noQuizWrap %}
            $(function () {
                new PNotify({
                    title: 'Oh No!',
                    text: 'No Students have attended the Quiz',
                    type: 'notice',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true},

                });
            });
        {% endif %}
        {% if noQuizPattern %}
            $(function () {
                new PNotify({
                    title: 'Oh No!',
                    text: 'No Quiz Pattern Found',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true},

                });
            });
        {% endif %}
    </script>

{% endblock %}